<template>
  <q-page class="q-px-xl q-pb-xl" style="display: grid">
    <section class="filtersMenu">
      <q-btn-toggle
        unelevated
        v-model="filters.list"
        toggle-color="primary"
        text-color="terciary"
        :options="[
          { label: 'Tots els perfils', value: 'all' },
          { label: 'Unitats de Convivència', value: 'ucs' },
          { label: 'Projectes i Grups', value: 'projects' }
        ]"
      />
    </section>
    <main>
      <section v-if="profiles?.length !== 0" class="container">
        <UserProfileCard
          v-for="(profile, index) in profList"
          :key="index"
          :profile="profile"
        ></UserProfileCard>
      </section>
    </main>
  </q-page>
</template>

<script setup>
import { ref, onMounted, computed } from 'vue'
import UserProfileCard from '../components/base/UserProfileCard.vue'
import { api } from 'boot/axios'

const REQ_URL = '790890ec-8ed3-4dc1-b7f2-51dbf0f2c6ac'

const profiles = ref({
  all: [],
  ucs: [],
  projects: []
})
const filters = ref({
  list: 'all'
})

const profList = computed(() => {
  return profiles.value[filters.value.list]
})

onMounted(async () => {
  profiles.value.all = await (await api.get(REQ_URL)).data

  profiles.value.all.forEach(profile => {
    console.log('profileType', profile.profileType)

    profile.profileType === 'uc'
      ? profiles.value.ucs.push(profile)
      : profiles.value.projects.push(profile)
  })
})
</script>

<style lang="sass">
.container
  display: grid
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr))
  gap: 20px 10px
  grid-auto-rows: minmax(100px, 550px)

.filtersMenu
  background-color: $primary
  display: inline
  margin: auto
  align-self: center
  margin-bottom: 48px
  button
    padding: 20px
</style>
